rte_flow_actions_template_attr(3)

NAME
rte_flow_actions_template_attr

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint32_t ingress:1
uint32_t egress:1
uint32_t transfer:1

Detailed Description

Warning
    EXPERIMENTAL: this API may change without prior notice.

Flow actions template attributes.

Definition at line 5785 of file rte_flow.h.

Field Documentation

  uint32_t ingress
Flow direction for the actions template. At least one direction must be specified. Action valid for rules applied to ingress traffic.

Definition at line 5791 of file rte_flow.h.

  uint32_t egress
Action valid for rules applied to egress traffic.

Definition at line 5793 of file rte_flow.h.

  uint32_t transfer
Action valid for rules applied to transfer traffic.

Definition at line 5795 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.